QGIS Application - Bug report #19274
Missing -lco parameter in gdal console call
2018-06-26 10:41 PM - Jodo Gaspar

Status: Closed

Priority: Normal

Assignee:

Category: Processing/OGR

Affected QGIS version:3.2 Regression?: No
Operating System: Windows 7 64-bits Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 27102
Description

If you put parameters in Additional Creation Options box they don't assume the -Ico in gdal/ogr console call.

See attach.

After the full fill the gdal/ogr call show this

ogr2ogr -f "CSV" "SEPARATOR=TAB WRITE_BOM=NQ" C:/Users/jfgaspar/Desktop/teste/test.csv path_to_data_file layer_name

The right thing is:
ogr2ogr -f "CSV" -Ico "SEPARATOR=TAB WRITE_BOM=NO" C:/Users/jfgaspar/Desktop/teste/test.csv path_to_data_file layer_name

The workaround is include the -Ico before the parameters in the box of Additional Creation Options.

Tested in the tool Convert Format, Buffer Vectors, Clip Vector by Extent.

History

#1 - 2018-06-27 10:11 AM - Alexander Bruy
For raster algorithms this already fixed. For vector algorithms, you should specify command-line switch by yourself, as there are several different types of

creation options for vector algorithms: -Ico, -dsco, -00, -doo

#2 - 2018-06-27 10:37 AM - Joao Gaspar
- Status changed from Open to Closed

Hi Alexander,
thank you for the explanation.
Regards,

Joao

Files

ogr2ogr_convert.PNG 28.3KB 2018-06-26 Jodo Gaspar
